@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');

* {
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    scroll-behavior: smooth;
}

body {
    font-family: "Roboto", sans-serif;
    font-weight: 300;
    font-style: normal;
}

.nav_section {
    width: 100%;
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #270082;
    color: white;
    box-shadow: 0px 4px 6px rgba(1, 1, 1, 0.8);
    position: sticky;
    top: 0;
    z-index: 2;
}

.nav_container {
    width: 85%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: space-between;
}

.title h2 {
    font-size: 30px;
}


.nav_options ul {
    list-style-type: none;
    display: flex;
    align-items: center;
    justify-content: space-between;
    gap: 30px;
    font-size: 15px;
}

.nav_options ul a {
    color: white;
    text-decoration: none;
}

.nav_options ul li {
    border-bottom: 2px solid transparent;
}

.nav_options ul li:hover {
    border-bottom: 2px solid white;
    transition: 0.2s ease-in;
}

.hero_section {
    width: 100%;
    height: 100vh;
}

.hero_container {
    background-image: url(images/hero_image.png);
    background-size: cover;
    height: 100vh;
    position: relative;
    background-position: center;
    background-repeat: no-repeat;
    display: flex;
    align-items: center;
    justify-content: center;
}

.hero_title {
    color: white;
    text-align: center;
    width: 90%;
}

.hero_title h1 {
    font-size: 90px;
    margin-bottom: 40px;
}

.hero_title h3 {
    font-size: 30px;
    margin-bottom: 40px;
}

.music_section {
    height: 80vh;
    background-color: #281154;
    display: flex;
    align-items: flex-start;
    justify-content: center;
}

.content {
    margin-top: 70px;
    color: white;
    text-align: center;
    width: 90%;
}

.content h3 {
    font-size: 25px;
    margin-bottom: 30px;
}

.content p {
    font-weight: bold;
    text-align: justify;
    margin: 40px auto;
}

.trial {
    /* border: 2px solid white; */
    width: auto;
    display: inline;
    background-color: #dc0000;
    padding: 10px;
    font-size: 14px;
    text-align: center;
    transition: 0.3s ease-in-out;
}

.trial:hover {
    transition: 0.3s ease-in-out;
    opacity: 0.8;
}

.content .orange {
    text-align: center;
    font-weight: lighter;
}

.device_image {
    position: absolute;
    top: 1200px;
    margin-top: 16px;
}

.about_music {
    height: 190vh;
    display: flex;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.about_container {
    margin-top: 400px;
    text-align: center;
    width: 85%;
}

.about_container h3 {
    font-size: medium;
    font-weight: 900;
    margin-bottom: 50px;
}

.about_container p {
    font-size: normal;
    margin-bottom: 50px;
}

.secondary_btn {
    display: inline;
    background-color: #270082;
    color: white;
    padding: 12px;
    font-size: smaller;
    transition: 0.3s ease-in-out;
}

.secondary_btn:hover {
    transition: 0.3s ease-in-out;
    opacity: 0.8;
}

.mac_image {
    position: relative;
    top: 60px;
}

.video_section {
    height: 100vh;
    background-image: url(images/video.png);
    color: white;
    background-position: center;
    background-repeat: no-repeat;
    background-size: cover;
    display: flex;
    align-items: center;
    justify-content: center;
}

.video_content {
    width: 85%;
    text-align: center;
}

.video_content h3 {
    margin-bottom: 30px;
}

.video_content p {
    font-weight: lighter;
}

.gift_card_section {
    height: 60vh;
    display: flex;
    align-items: center;
    justify-content: center;
}

.gift_card_container {
    display: flex;
    width: 85%;
    gap: 50px;
    padding: 10px;
}

.gift_card_image {
    background-position: center;
    background-size: cover;
    background-repeat: no-repeat;
}

.grid_card_content {
    display: flex;
    align-items: center;
    justify-content: center;
}

.gift_card_content h3 {
    font-size: medium;
    margin-bottom: 20px;
}

.gift_card_content p {
    margin-bottom: 20px;
}

.redeem_btn {
    margin-top: 20px;
    display: inline-block;
    background-color: #270082;
    color: white;
    padding: 8px;
    font-size: 13px;
    transition: 0.3s ease-in-out;
}

.redeem_btn:hover {
    transition: 0.3s ease-in-out;
    opacity: 0.8;
}

footer {
    height: 40vh;
}

.upper_container {
    height: 30vh;
    display: flex;
    align-items: center;
    justify-content: space-evenly;
    background-color: #1b0058;
    color: white;
}

.link_container h4 {
    margin-bottom: 10px;
}

.link_container hr {
    color: white;
    margin-bottom: 10px;
}

.link_container ul {
    list-style-type: none;
    font-size: 15px;
    line-height: 1.5rem;
}

.footer_lower {
    height: 10vh;
    display: flex;
    align-items: center;
    justify-content: center;
    background-color: #270082;
    color: white;
    font-weight: lighter;
}

/* media query */

@media only screen and (max-width: 768px) {
    .hero_title h1 {
        font-size: 80px;
    }

    .hero_title h3 {
        font-size: 20px;
    }

    .device_image {
        top: 1400px;
    }

    .device_image img {
        width: 600px;
    }

    .about_container {
        margin-top: -120px;
    }

    .mac_image img {
        width: 600px;
    }

    .about_music {
        margin-bottom: -400px;
    }

    .gift_card_container {
        margin-top: 50px;
    }

    .gift_card_image img {
        width: 300px;
    }
}

@media only screen and (max-width: 600px) {
    .hero_title h1 {
        font-size: 70px;
    }

    .hero_title h3 {
        font-size: 15px;
    }

    .hero_title p {
        font-size: small;
    }

    .device_image img {
        width: 500px;
    }

    .music_section {
        height: 70vh;
    }

    .device_image {
        top: 1350px;
    }

    .about_music {
        height: 150vh;
    }

    .mac_image img {
        width: 500px;
    }

    .video_section {
        margin-top: 100px;
    }

    .gift_card_image img {
        width: 200px;
    }

    .upper_container h4,
    ul {
        font-size: medium;
    }

    .upper_container {
        display: grid;
        grid-template-columns: repeat(2, 1fr);
        padding: 30px;
        gap: 30px;
        height: 100%;
    }

}